org.eclipse.incquery.patternlanguage.jvmmodel

## Class PatternLanguageJvmModelInferrer

- java.lang.Object
- - org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer
  - - org.eclipse.incquery.patternlanguage.jvmmodel.PatternLanguageJvmModelInferrer

- All Implemented Interfaces:
    org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer

      public class PatternLanguageJvmModelInferrer
      extends org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer

  Infers a JVM model from the source model.

  The JVM model should contain all elements that would appear in the Java code which is generated from the source model. Other models link against the JVM model rather than the source model.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer

      `org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer.NullImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageJvmModelInferrer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `infer(org.eclipse.emf.ecore.EObject element, org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor, boolean isPrelinkingPhase)`

    - ### Methods inherited from class org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer

      `_infer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageJvmModelInferrer

          public PatternLanguageJvmModelInferrer()

  - ### Method Detail

    - #### infer

          public void infer(org.eclipse.emf.ecore.EObject element,
                            org.eclipse.xtext.xbase.jvmmodel.IJvmDeclaredTypeAcceptor acceptor,
                            boolean isPrelinkingPhase)

      Specified by:
        `infer` in interface `org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer`
      Overrides:
        `infer` in class `org.eclipse.xtext.xbase.jvmmodel.AbstractModelInferrer`